Skip to content

Get Models ​

List all available models for chat completions and embeddings.

All Models ​

GET /proxy/v1/models

List all available models. No authentication required.

Example Request ​

bash
curl https://ai.hackclub.com/proxy/v1/models

Response Format ​

Returns every chat and embedding model you can use, in OpenRouter's model format:

json
{
  "data": [
    {
      "id": "qwen/qwen3-32b",
      "name": "Qwen: Qwen3 32B",
      "created": 1745875945,
      "description": "Qwen3-32B is a dense 32.8B parameter causal language model...",
      "context_length": 131072,
      "architecture": {
        "modality": "text->text",
        "input_modalities": ["text"],
        "output_modalities": ["text"]
      },
      "pricing": {
        "prompt": "0.00000008",
        "completion": "0.00000028"
      },
      "top_provider": {
        "context_length": 40960,
        "max_completion_tokens": 16384
      },
      "supported_parameters": ["max_tokens", "temperature", "tools", "..."]
    }
  ]
}

pricing is in USD per token.

Embedding Models ​

GET /proxy/v1/embeddings/models

List all available embedding models. No authentication required.

Example Request ​

bash
curl https://ai.hackclub.com/proxy/v1/embeddings/models

Response Format ​

Returns only the embedding models, in the same format as above.